Last Comment Bug 95554 - Implement nsFontEnumeratorMac::HaveFontFor
: Implement nsFontEnumeratorMac::HaveFontFor
Status: RESOLVED FIXED
: intl
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: PowerPC Mac System 9.x
: P4 normal (vote)
: mozilla0.9.6
Assigned To: Frank Tang
: Frank Tang
Mentors:
Depends on:
Blocks: 103669
  Show dependency treegraph
 
Reported: 2001-08-16 00:11 PDT by Frank Tang
Modified: 2001-10-10 18:04 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.04 KB, patch)
2001-08-16 15:26 PDT, Frank Tang
no flags Details | Diff | Review

Description Frank Tang 2001-08-16 00:11:57 PDT
Currently  nsFontEnumeratorMac::HaveFontFor always return true, we should only
return true if we have a font for that lang group
Comment 1 Frank Tang 2001-08-16 15:26:29 PDT
Created attachment 46127 [details] [diff] [review]
patch
Comment 2 Frank Tang 2001-08-16 15:27:12 PDT
slow patch but functional. Need code review. 
Comment 3 kill this account 2001-08-16 18:40:57 PDT
looks okay.

r=bstell@netscape.com
Comment 4 Frank Tang 2001-08-21 15:39:23 PDT
mark it m94
Comment 5 Simon Fraser 2001-08-21 16:17:34 PDT
sr=sfraser
Comment 6 Frank Tang 2001-08-30 17:44:43 PDT
not critical, move to m0.9.5
Comment 7 Frank Tang 2001-10-08 10:44:18 PDT
ready to check in .
Comment 8 Frank Tang 2001-10-10 10:10:31 PDT
fixed and check in.
Comment 9 Andreas Becker 2001-10-10 18:04:22 PDT
Swicthing qa contact to ftang for now. Frank, can this be verified within 
development or can you provide QA with a test case?  Thanks.

Note You need to log in before you can comment on or make changes to this bug.